<?php

declare(strict_types=1);

namespace App\Filament\Components\Table;

use Filament\Tables\Columns\TextColumn;

class NegativePointsTextColumn extends TextColumn
{
    public static function create(): static
    {
        return parent::make('negative_points')
            ->translateLabel()
            ->sortable()
            ->listWithLineBreaks()
            ->getStateUsing(fn ($record) => $record->negative_points ?? [])
            ->toggleable()
            ->toggledHiddenByDefault();
    }
}
